Bug 1017129 - Missing "qpidprotond.pdb" file in qpid-cpp-win package
Missing "qpidprotond.pdb" file in qpid-cpp-win package
Status: ASSIGNED
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: distribution (Show other bugs)
Development
Unspecified Windows
medium Severity medium
: 3.2
: ---
Assigned To: Chuck Rolke
MRG Quality Engineering
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-09 05:50 EDT by Petra Svobodová
Modified: 2015-04-14 12:07 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petra Svobodová 2013-10-09 05:50:48 EDT
Description of problem:
File "qpidprotond.pdb" misses in "symbols-debug" folder in packages for all Visual Studio and platform versions.

Version-Release number of selected component (if applicable):
qpid-cpp-win-0.22.18.1-1

How reproducible:
100%

Steps to Reproduce:
1. Unpack the qpid-cpp-win packages including "symbols-debug.zip" and try to find the "qpidprotond.pdb" file.

Actual results:
There are "qpidclient.pdb", "qpidcommond.pdb", "qpidmessagingd.pdb" and "qpidtypesd.pdb" files only, but "qpidprotond.pdb" is not present.

Expected results:
The "qpidprotond.pdb" should be in the folder together with other "pdb" files.
Comment 1 Justin Ross 2013-10-10 11:55:31 EDT
Chuck, please assess.
Comment 2 Chuck Rolke 2013-10-11 11:26:20 EDT
In Qpid builds the pdb files are a natural output and camke can find and install the files easily. When Proton is consumed by a Qpid build then the Proton pdbs must be scavenged from the associated Proton install directory.

The path to fixing this is
1. In Proton cmake compile, produce the pdb files.
2. In Proton cmake install, install the pdb files.
   Qpid has cmake code that does this.
3. In Qpid bld_winsdk, find/copy the Proton pdbs.

With this file missing the user may continue to debug his/her qpid messaging code. However, the user cannot step into Proton functions; Proton will appear to be a third-party library with no debug information.

Note You need to log in before you can comment on or make changes to this bug.